Access Control
accesscontrol
API key management and permission grants.
Get list of keys
GET
Authenticated
Lists API keys for the server.
Request URL
https://api.creeper.host/accesscontrol/listHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"keys": [
{
"secret": "secret-value",
"permissions": []
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Create new API key
GET
Authenticated
Creates a new API key and secret.
Request URL
https://api.creeper.host/accesscontrol/createcredentialsHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"message": "Successfully created new API credentials.",
"secret": "secret-value",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Add permission
PUT
Authenticated
Grants one or more permissions to an API key.
Request URL
https://api.creeper.host/accesscontrol/grantpermissionHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"daemon": "os",
"command": [
"commandToGrant"
]
}
Response 200
{
"status": "success",
"message": "Access control has been updated.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Revoke permission
PUT
Authenticated
Revokes one or more permissions from an API key.
Request URL
https://api.creeper.host/accesscontrol/revokepermissionHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"daemon": "os",
"command": [
"commandToRevoke"
]
}
Response 200
{
"status": "success",
"message": "Access control has been updated.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}